Bug 1079600 - VUL-1: freetype2: Integer overflow issues in src/truetype/ttinterp.c
VUL-1: freetype2: Integer overflow issues in src/truetype/ttinterp.c
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 42.3
Other Other
: P4 - Low : Normal (vote)
: ---
Assigned To: Fridrich Strba
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-06 14:30 UTC by Karol Babioch
Modified: 2019-07-11 14:45 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2018-02-06 14:30:40 UTC
freetype2 contains integer overflow issues in src/truetype/ttinterp.c (Ins_MSIRP, Ins_MIAP, Ins_MIRP), which were already fixed upstream.

References:
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=6027
https://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/src/truetype/ttinterp.c?id=4a03f17449ae45f0dacf4de4694ccd6e5e1b24d1
Comment 1 Karol Babioch 2018-02-06 16:32:50 UTC
This is only an issue for the latest release of freetype2 version 2.9, which we do not distribute currently. Once freetype2 has been bumped to 2.9, this needs to be applied on top of it.
Comment 4 Swamp Workflow Management 2018-02-09 20:13:36 UTC
SUSE-SU-2018:0414-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1028103,1035807,1036457,1079600
CVE References: CVE-2016-10244,CVE-2017-7864,CVE-2017-8105,CVE-2017-8287
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    freetype2-2.6.3-7.15.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    freetype2-2.6.3-7.15.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    freetype2-2.6.3-7.15.1, ft2demos-2.6.3-7.15.1
SUSE Linux Enterprise Server 12-SP3 (src):    freetype2-2.6.3-7.15.1, ft2demos-2.6.3-7.15.1
SUSE Linux Enterprise Server 12-SP2 (src):    freetype2-2.6.3-7.15.1, ft2demos-2.6.3-7.15.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    freetype2-2.6.3-7.15.1, ft2demos-2.6.3-7.15.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    freetype2-2.6.3-7.15.1, ft2demos-2.6.3-7.15.1
SUSE CaaS Platform ALL (src):    freetype2-2.6.3-7.15.1
Comment 5 Swamp Workflow Management 2018-02-12 11:09:19 UTC
openSUSE-SU-2018:0420-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1028103,1035807,1036457,1079600
CVE References: CVE-2016-10244,CVE-2017-7864,CVE-2017-8105,CVE-2017-8287
Sources used:
openSUSE Leap 42.3 (src):    freetype2-2.6.3-5.3.1, ft2demos-2.6.3-5.3.1
Comment 6 Hans Schwimmbeck 2018-03-08 16:24:17 UTC
2.9 is in Tumbleweed and Leap 15 for some time now and should be patched as well.
Comment 7 Karol Babioch 2018-03-08 17:01:18 UTC
Fixed in Factory: https://build.opensuse.org/request/show/584499
Comment 11 Tomáš Chvátal 2019-07-11 11:26:01 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime
Comment 12 Marcus Meissner 2019-07-11 14:45:19 UTC
15.0 ga was fixed